1. Howdy, Freund! Du scheinst neu hier zu sein. Warum erstellst du dir nicht einen Forenaccount, um mitdiskutieren zu können? Du kannst dich hier registrieren.
    Du hast schon einen Forenaccount? Dann kannst du dich hier einloggen. Viel Spaß!

    Was denkst du zum Beispiel über diese Themen?

Fortkampf Player

Dieses Thema im Forum "Tools und Scripte für The West" wurde erstellt von Loom, 14. Okt. 2010.

  1. stewue

    stewue Revolverheld

    Registriert:
    7. Mai 2009
    Beiträge:
    2.357
    Zustimmungen:
    42
    Ich könnte so ne HTML5 Animation schon coden (hab schon mal so ne ähnliche Animation gemacht), aber wenn ich ehrlich bin mache ich sowas nicht für das sterbende TW, da dies doch sehr viel Zeit benötigt :D
     
  2. Neardark

    Neardark Entdecker

    Registriert:
    21. Sep. 2010
    Beiträge:
    111
    Zustimmungen:
    0
    Firma dankt!:up:
    Frage mich schon lange,wie man den Firefox wohl dazu bringen kann auch lokalen Code auszuführen,dann bräuchte man die jar Datei nur auf der eigenen Kiste....
     
  3. Neardark

    Neardark Entdecker

    Registriert:
    21. Sep. 2010
    Beiträge:
    111
    Zustimmungen:
    0
    Zuletzt bearbeitet: 18. Jan. 2016
  4. Sadolu

    Sadolu Entdecker

    Registriert:
    16. Dez. 2010
    Beiträge:
    422
    Zustimmungen:
    7
    Seit Firefox52 wird java (NPAPI) nicht mehr unterstützt. Gibt es nun andere Möglichkeiten ein FK im Browser anzuschauen?
     
  5. GeMini

    GeMini Revolverheld

    Registriert:
    4. Aug. 2009
    Beiträge:
    1.228
    Zustimmungen:
    19
  6. Cincinnati Cid

    Cincinnati Cid Entdecker

    Registriert:
    29. Juli 2015
    Beiträge:
    493
    Zustimmungen:
    29
    Das NPAPI-Pluggin hat nix mit Java zu tun .. die Playerdarstellung läuft über den FlashPlayer von Adobe ... akt. Version derzeit 24.0.0.221
     
  7. Tom Robert

    Tom Robert Goldgräber The-West Team

    Registriert:
    14. Okt. 2011
    Beiträge:
    535
    Zustimmungen:
    174
    Nein, @Sadolu hat schon recht.

    Um das Java Plugin temporär (wird in FF 53 entfernt) zu nutzen, musst du im Firefox v52 folgendes tun:
    • Tippe in die Adressleiste about:config ein und bestätige mit Enter
    • Bestätige die Sicherheitsmeldung
    • Rechtslick irgendwo auf die Liste und Neu -> Boolean auswählen
    • Eigenschaftsname: plugin.load_flash_only / Wert: false
    • Danach Browser neustarten
    Ich stecke momentan aber noch hier fest:
    [​IMG]
     
  8. GeMini

    GeMini Revolverheld

    Registriert:
    4. Aug. 2009
    Beiträge:
    1.228
    Zustimmungen:
    19
    Und sicher dass es "plugin.load_flash_only" ist, wenn man java aktivieren will?

    Ich kann im Browser die jar öffnen, muss mir das später dann mal im FF ansehen
     
    Zuletzt bearbeitet: 10. März 2017
  9. stayawayknight

    stayawayknight Revolverheld Community-Manager

    Registriert:
    12. Nov. 2011
    Beiträge:
    2.438
    Zustimmungen:
    706
    @Tom Robert Hast du das in dem Control Panel eingestellt, das zu der auch tatsächlich verwendeten Java-JRE gehört? Ich hatte schon oft Probleme damit, dass ich parallel mehrere Java-Versionen installiert hatte und ich alle umkonfigurieren musste. Da war zuletzt, als ich Java-Applets in meinem Browser zulassen wollte (was allerdings auch nie mehr geklappt hat).

    Viel zu oft ist dieser Sicherheitswahn einfach nur ein Fluch.
     
  10. stewue

    stewue Revolverheld

    Registriert:
    7. Mai 2009
    Beiträge:
    2.357
    Zustimmungen:
    42
    Berechtigt, da diese kommischen Java-Applikation zu den Top 5 Schwachstellen gehören, wieso sich die Leute irgendwelches Zeugs einfangen, was sie nicht wollen.

    Wie ich an eurer Stelle vorgehen würde:
    - Jar File downloaden auf https://sourceforge.net/projects/twfbplayer/
    - jar file ausführen (ev. auch via Terminal "java -jar C.\Downloadpath\xy.jar" oder für unix irgendwie so "java -jar home/downloads/xy.jar" )
    Dann müsst ihr nichts an den Browsereinstellungen herumschlagen
     
    Tom Robert und Cincinnati Cid gefällt das.
  11. Cincinnati Cid

    Cincinnati Cid Entdecker

    Registriert:
    29. Juli 2015
    Beiträge:
    493
    Zustimmungen:
    29
    ich hab mal Tom´s Vorschlag ausprobiert .. spätestens beim nächsten FK weiß ich obs funzelt ..
    allerdings mußte ich Java nicht erst aktivieren, weils laut Systemsteuerung schon vorher aktiviert war (ich hab FF 52x)
    was allerdings ungemein helfen könnte, ist Flash und Java ständig aktuell zu halten, was bei mir sowieso automatisch gemacht wird

    stewue´s lösung werd ich später mal ausprobieren
     
  12. westernblumi

    westernblumi Entdecker

    Registriert:
    16. Dez. 2010
    Beiträge:
    331
    Zustimmungen:
    99
    Wenn es wirklich nur um die einfachen Statistiken geht, dann kann ich das auch mal in ein kleines Skript packen.
     
  13. Tom Robert

    Tom Robert Goldgräber The-West Team

    Registriert:
    14. Okt. 2011
    Beiträge:
    535
    Zustimmungen:
    174
    Ja, sobald du diese Eigenschaft auf false hast, werden die alten Plugins wieder aktiviert
    Ja, habe extra die 64-bit deinstalliert, alle Rückstände gelöscht und die 32-bit Version installiert. Ich brings nicht hin :D
    EDIT: Habs nochmal etwas recherchiert und die Lösung gefunden:
    Man muss auch noch alle bentzten Welten als https://deXX.the-west.de/game.php zur Ausnahmeliste von Java-Sicherheit hinzufügen. Das ganze kam mir irgendwie auch bekannt vor und wirklich... es steht hier im Thema auf Seite 6 :p
    Ja, Java ist schon aktiviert. Das ist dem Firefox aber egal. Deshalb die Umgehung im about:config.
    Am geeignetsten dafür wäre wohl TW Battle Stars

    Ist eigentlich die einzige Lösung. Wie gesagt, der normale Firefox-Browser wird Java ab Version 53 ganz raussperren.
     
    Zuletzt bearbeitet: 11. März 2017
  14. Neardark

    Neardark Entdecker

    Registriert:
    21. Sep. 2010
    Beiträge:
    111
    Zustimmungen:
    0
    Gute Idee. Mit dem jar file kann man den FK ja problemlos sehen aber oft sind ja nur die Statistiken interessant.
     
  15. GeMini

    GeMini Revolverheld

    Registriert:
    4. Aug. 2009
    Beiträge:
    1.228
    Zustimmungen:
    19

    Der Hostingprovider stellt mit 31.12.2018 den Dienst "hosted-secure.com" ein, dafür bietet er für alle Domänen Zertifikate über Let's Encrypt.

    Daher funktioniert https://fkplayer.hosted-secure.com ab 31.12.2018 nicht mehr, aber ich habe für superbia.at und für fkplayer.superbia.at https aktiviert.

    Somit ist die Zeile 37 auf
    var dataDirectory = "https://fkplayer.superbia.at";
    zu ändern.